Update a checklist Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PATCH /api/v1/checklist/{uuid}

Path parameters

  • uuid string Required
  • checklist string Required

    The UUID of the checklist.

application/json

Body

  • name string

    The updated name of the checklist.

  • order integer

    The display order of the checklist.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      The name of the checklist.

    • order integer

      The display order of the checklist.

    • items array[object]

      The items within this checklist.

      Hide items attributes Show items attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • is_checked boolean
      • checked_at string
      • checked_by string
      • order integer
PATCH /api/v1/checklist/{uuid}
curl \
 --request PATCH 'https://api.plannrcrm.com/api/v1/checklist/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"Post-meeting actions","order":1}'
Request examples
{
  "name": "Post-meeting actions",
  "order": 1
}
Response examples (200)
{
  "uuid": "344fd857-f6c0-4ad1-8984-816255f3db15",
  "created_at": "2026-06-24T11:04:25+01:00",
  "updated_at": "2026-06-24T11:04:25+01:00",
  "name": "Pre-meeting checks",
  "order": 0,
  "items": [
    {
      "uuid": "11b1a914-3068-4993-b714-5c801c78c70f",
      "created_at": "2026-06-24T11:04:25+01:00",
      "updated_at": "2026-06-24T11:04:25+01:00",
      "name": "Send calendar invite",
      "is_checked": false,
      "checked_at": "2021-01-01 00:00:00",
      "checked_by": "App\\Http\\Resources\\AccountResource",
      "order": 0
    }
  ]
}